Click in inactive QGIS window triggers actions!

2018-07-26 02:32 AM - Loren Amelang

Status: Open

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:3.2 Regression?: No

Operating System: Windows 10 Creators with 3000x2000 screen and 175% scalingEasy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27319

Description

When QGIS is not the topmost window, clicking in visible parts of it to bring it forward should not pan the map view! Or make menu

choices, or take any other actions!

I've genuinely tried to stop doing this, but it just keeps wasting my time. The map pane of QGIS is the largest area of the screen, and

most likely to be visible under a bunch of other windows. If you click there hoping to bring QGIS to the front (at least in Windows 10), your

map view jumps seriously away from your intended area. If you're clicking in the very bottom corner, you are left with only one-fourth of

your area visible.

I typically find the bottom of the window peeking out, but I just checked and all other parts of the QGIS interface I tried are fully active

while it is in the background. I'm not as likely to click on a visible button or menu as on whitespace, but the consequences could be worse.

I know there are apps that consider this normal, but I much prefer the ones that take no action on a click when the main window is not the

topmost window. If you'd rather consider this a feature request, I'll accept that, but I feel it is more important than that.

History

#1 - 2018-07-26 08:49 AM - Giovanni Manghi

- Status changed from Open to Feedback

Cannot replicate it here, both Windows and Linux.

#2 - 2018-07-27 05:48 AM - Loren Amelang

Giovanni,

I just installed QGIS 3.2.1 via OSGeo4W, and it still happens every time. Do you have access to Windows 10 "Creators Update" (1709)? A system that

uses Windows screen scaling? A system that responds to touch?

Actually I think the Microsoft Surface Book has totally destroyed the concept of Z-order. Programs that should open on top often open at the bottom of the

stack, or open visible but obviously inactive, or open on top and visually active but ignoring input until you explicitly click in them. Perhaps something to do

with their attempt to honor touch, pen, and mouse input simultaneously...

But this is the first time I've been conscious of a program thinking it has focus when it is in the background. Doesn't seem to matter how deep QGIS is, or

who is in front of it, or whether mouse, pen, or touch - it accepts and acts on any input into visible bits of the window.

#3 - 2018-07-30 11:10 AM - Giovanni Manghi
Loren Amelang wrote:

Giovanni,

I just installed QGIS 3.2.1 via OSGeo4W, and it still happens every time. Do you have access to Windows 10 "Creators Update" (1709)? A system

that uses Windows screen scaling? A system that responds to touch?

Actually I think the Microsoft Surface Book has totally destroyed the concept of Z-order. Programs that should open on top often open at the bottom

of the stack, or open visible but obviously inactive, or open on top and visually active but ignoring input until you explicitly click in them. Perhaps

something to do with their attempt to honor touch, pen, and mouse input simultaneously...

But this is the first time I've been conscious of a program thinking it has focus when it is in the background. Doesn't seem to matter how deep QGIS

is, or who is in front of it, or whether mouse, pen, or touch - it accepts and acts on any input into visible bits of the window.

I don't have access to MS Surface hardware, if this is what you mean. Is this issue only limited to such hardware?

#4 - 2018-07-31 06:28 AM - Loren Amelang

I really have no idea if it is specifically Surface hardware, or just some of the scaling, pen, touch, and other odd features it combines. Is there some way to

poll QGIS users whether anyone else is using any of these? Can you search reports by "Operating System"? Maybe add a "Hardware" field to the form?

#5 - 2018-07-31 02:30 PM - Giovanni Manghi

Loren Amelang wrote:

I really have no idea if it is specifically Surface hardware, or just some of the scaling, pen, touch, and other odd features it combines. Is there some

way to poll QGIS users whether anyone else is using any of these?

Can't you just test on a "normal" piece of hardware first? Thanks.

#6 - 2018-07-31 08:27 PM - Loren Amelang

Giovanni,

Sorry, no, I don't own anything else remotely capable of running QGIS3. And I have no access to any machines anywhere else. Wish I could help...

#7 - 2018-08-01 09:54 AM - Giovanni Manghi

- Priority changed from Normal to Low

- Status changed from Feedback to Open

Loren Amelang wrote:

Giovanni,

Sorry, no, I don't own anything else remotely capable of running QGIS3. And I have no access to any machines anywhere else. Wish I could help...
I'm afraid probably most of devs and testers don't have a surface hardware.
